# package and source name
%define packagename kylixlibs

# where libraries are located
%define libname kylix
%define version 3.0
%define release 2mdk
%define major 3
%define prov qt

Summary: Borland Kylix 3 Runtime Library
Name: %packagename%major
Version: %{version}
Release: %{release}
Group: System/Libraries
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Packager: Pedro Lopez-Cabanillas <plcl@bigfoot.com>
Source: %packagename-%{version}.tar.bz2
URL: http://kylixlibs.sourceforge.net
AutoProv: yes
AutoReq: no
Requires: glibc >= 2.2.0, XFree86-libs >= 4.1.0, libjpeg62 >= 6b, zlib1 >= 1.1.0
%description
Borland Kylix 3 Runtime Libraries.
These libraries are required by most Kylix 3 GUI applications.

%package borqt
Group: System/Libraries
Summary: Cutomized QT libraries used by Kylix 3 applications
Provides: %packagename%major%prov
Requires: glibc >= 2.2.0, XFree86-libs >= 4.1.0, libjpeg62 >= 6b, zlib1 >= 1.1.0
%description borqt
Borland Kylix 3 Runtime Libraries.
These customized QT libraries are required by most Kylix 3 GUI applications.

%package qt
Group: System/Libraries
Provides: %packagename%major%prov
Requires: glibc >= 2.2.0, XFree86-libs >= 4.1.0, libjpeg62 >= 6b, zlib1 >= 1.1.0
Summary: Cutomized QT libraries used by Kylix 3 applications

%description qt
Borland Kylix 3 Runtime Libraries.
You need these libraries if application has been compiled with
CLX_USE_LIBQT environment variable set as described below.

By default, Kylix applications will dynamically link with libborqt.so
instead of libqtintf.so and libqt.so. libborqt.so is a single library
containing the Kylix interface to Qt along with a patched, Borland
supported version of Qt 2.3.0. There have been problems in previous
versions where the libqt.so.2 symlink on certain distributions points
to a version of Qt not supported by Borland, and concerns about
redistributing two shared libraries: one with a possible naming
conflict.  It is still possible to link with libqtintf and either the
Borland supplied libqt or an existing libqt version 2.3.x: In Delphi,
this is controlled at runtime by defining the environment variable
CLX_USE_LIBQT, and in C++ by compiling with a compiler define of the
same name.

%package runtime
Group: System/Libraries
Summary: Kylix 3 OE runtime packages
Requires: %packagename%major%prov, glibc >= 2.2.0, XFree86-libs >= 4.1.0, zlib1 >= 1.1.0

%description runtime
Borland Kylix 3 Runtime Libraries.
This package is required if you have a Kylix 3 application compiled with
runtime packages.

%package unwind
Group: System/Libraries
Summary: Kylix 3 OE exception handling library
License: LGPL
Requires: glibc >= 2.2.0
%description unwind
Borland Kylix 3 Runtime Libraries.

%package borstlcrtl
Group: System/Libraries
Summary: Borland STL and CRTL libraries
License: Distributable
AutoProv: yes
AutoReq: no
Requires: glibc >= 2.2.0, %packagename%major-unwind
%description borstlcrtl
Borland Kylix 3 Runtime Libraries.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %packagename-%version

%build
make

%install
%makeinstall

%post borqt
grep -q "^%{_libdir}/%libname%major\$" /etc/ld.so.conf
if [ $? == 1 ]; then
  echo %{_libdir}/%libname%major >> /etc/ld.so.conf
fi
ldconfig

%post qt
grep -q "^%{_libdir}/%libname%major\$" /etc/ld.so.conf
if [ $? == 1 ]; then
  echo %{_libdir}/%libname%major >> /etc/ld.so.conf
fi
ldconfig

%post runtime
grep -q "^%{_libdir}/%libname%major\$" /etc/ld.so.conf
if [ $? == 1 ]; then
  echo %{_libdir}/%libname%major >> /etc/ld.so.conf
fi
ln -s %{_libdir}/%libname%major/bplrtl.so.6.9.0 %{_libdir}/bplrtl.so.6.9
ln -s %{_libdir}/%libname%major/bplvisualclx.so.6.9.0 %{_libdir}/bplvisualclx.so.6.9
ldconfig

%post unwind
grep -q "^%{_libdir}/%libname%major\$" /etc/ld.so.conf
if [ $? == 1 ]; then
  echo %{_libdir}/%libname%major >> /etc/ld.so.conf
fi
ldconfig

%post borstlcrtl
grep -q "^%{_libdir}/%libname%major\$" /etc/ld.so.conf
if [ $? == 1 ]; then
  echo %{_libdir}/%libname%major >> /etc/ld.so.conf
fi
ldconfig

%postun borqt
find %{_libdir}/%libname%major/* >/dev/null 2>&1
if [ $? == 1 ]; then
  mv /etc/ld.so.conf /etc/ld.so.conf.old
  grep -v "^%{_libdir}/%libname%major\$" /etc/ld.so.conf.old > /etc/ld.so.conf
fi
ldconfig
rm -f /etc/ld.so.conf.old

%postun qt
find %{_libdir}/%libname%major/* >/dev/null 2>&1
if [ $? == 1 ]; then
  mv /etc/ld.so.conf /etc/ld.so.conf.old
  grep -v "^%{_libdir}/%libname%major\$" /etc/ld.so.conf.old > /etc/ld.so.conf
fi
ldconfig
rm -f /etc/ld.so.conf.old

%postun runtime
find %{_libdir}/%libname%major/* >/dev/null 2>&1
if [ $? == 1 ]; then
  mv /etc/ld.so.conf /etc/ld.so.conf.old
  grep -v "^%{_libdir}/%libname%major\$" /etc/ld.so.conf.old > /etc/ld.so.conf
fi
rm -f %{_libdir}/bplrtl.so.6.9
rm -f %{_libdir}/bplvisualclx.so.6.9
ldconfig
rm -f /etc/ld.so.conf.old

%postun unwind
find %{_libdir}/%libname%major/* >/dev/null 2>&1
if [ $? == 1 ]; then
  mv /etc/ld.so.conf /etc/ld.so.conf.old
  grep -v "^%{_libdir}/%libname%major\$" /etc/ld.so.conf.old > /etc/ld.so.conf
fi
ldconfig
rm -f /etc/ld.so.conf.old

%postun borstlcrtl
find %{_libdir}/%libname%major/* >/dev/null 2>&1
if [ $? == 1 ]; then
  mv /etc/ld.so.conf /etc/ld.so.conf.old
  grep -v "^%{_libdir}/%libname%major\$" /etc/ld.so.conf.old > /etc/ld.so.conf
fi
ldconfig
rm -f /etc/ld.so.conf.old

%clean
rm -rf $RPM_BUILD_ROOT

%files borqt
%defattr (-,root,root)
%{_libdir}/%libname%major/libborqt-6.9-qt2.3.so
%{_libdir}/%libname%major/libborqt-6.9.0-qt2.3.so

%files qt
%defattr (-,root,root)
%{_libdir}/%libname%major/libqtintf-6.9-qt2.3.so
%{_libdir}/%libname%major/libqtintf-6.9.0-qt2.3.so
%{_libdir}/%libname%major/libqt.so.2
%{_libdir}/%libname%major/libqt.so.2.3.0

%files runtime
%defattr (-,root,root)
%{_libdir}/%libname%major/bplrtl.so.6.9
%{_libdir}/%libname%major/bplrtl.so.6.9.0
%{_libdir}/%libname%major/bplvisualclx.so.6.9
%{_libdir}/%libname%major/bplvisualclx.so.6.9.0

%files unwind
%defattr (-,root,root)
%{_libdir}/%libname%major/libborunwind.so
%{_libdir}/%libname%major/libborunwind.so.6
%{_libdir}/%libname%major/libborunwind.so.6.0

%files borstlcrtl
%defattr (-,root,root)
%{_libdir}/%libname%major/libborstl.so
%{_libdir}/%libname%major/libborstl.so.1.0
%{_libdir}/%libname%major/libborcrtl.so.1
%{_libdir}/%libname%major/libborcrtl.so.1.0

%changelog
* Fri Nov 1 2002 Pedro Lopez-Cabanillas <plcl@bigfoot.com>
- Adapted for Mandrake
* Sat Oct 26 2002 Linas Jakucionis Brovienas <brovienas@mailsurf.com>
- Adapted for RedHat
- Created subpackages
* Fri Oct 18 2002 Pedro Lopez-Cabanillas <plcl@bigfoot.com> 3.0-1mdk
- initial build
